namespace EVCB_OCPP.Domain.MeterValueDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class ModifyFields : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.ConnectorMeterValueRecord", "ContextNo", c => c.Int(nullable: false));
            AddColumn("dbo.ConnectorMeterValueRecord", "FormatNo", c => c.Int(nullable: false));
            AddColumn("dbo.ConnectorMeterValueRecord", "MeasurandNo", c => c.Int(nullable: false));
            AddColumn("dbo.ConnectorMeterValueRecord", "PhaseNo", c => c.Int(nullable: false));
            AddColumn("dbo.ConnectorMeterValueRecord", "LocationNo", c => c.Int(nullable: false));
            AddColumn("dbo.ConnectorMeterValueRecord", "UnitNo", c => c.Int(nullable: false));
            DropColumn("dbo.ConnectorMeterValueRecord", "Context");
            DropColumn("dbo.ConnectorMeterValueRecord", "Format");
            DropColumn("dbo.ConnectorMeterValueRecord", "Measurand");
            DropColumn("dbo.ConnectorMeterValueRecord", "Phase");
            DropColumn("dbo.ConnectorMeterValueRecord", "Location");
            DropColumn("dbo.ConnectorMeterValueRecord", "Unit");
        }
        
        public override void Down()
        {
            AddColumn("dbo.ConnectorMeterValueRecord", "Unit", c => c.String(maxLength: 10));
            AddColumn("dbo.ConnectorMeterValueRecord", "Location", c => c.String(maxLength: 10));
            AddColumn("dbo.ConnectorMeterValueRecord", "Phase", c => c.String(maxLength: 25));
            AddColumn("dbo.ConnectorMeterValueRecord", "Measurand", c => c.String(maxLength: 25));
            AddColumn("dbo.ConnectorMeterValueRecord", "Format", c => c.String(maxLength: 10));
            AddColumn("dbo.ConnectorMeterValueRecord", "Context", c => c.String(maxLength: 25));
            DropColumn("dbo.ConnectorMeterValueRecord", "UnitNo");
            DropColumn("dbo.ConnectorMeterValueRecord", "LocationNo");
            DropColumn("dbo.ConnectorMeterValueRecord", "PhaseNo");
            DropColumn("dbo.ConnectorMeterValueRecord", "MeasurandNo");
            DropColumn("dbo.ConnectorMeterValueRecord", "FormatNo");
            DropColumn("dbo.ConnectorMeterValueRecord", "ContextNo");
        }
    }
}
