﻿namespace EVCB_OCPP.Domain.Models.Database
{
    using EVCB_OCPP.Domain.Models.Database;
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    /// <summary>
    /// 版本發佈的檔案關連
    /// </summary>
    [Table("PublishVersionFile")]
    public partial class PublishVersionFile
    {
        [Key]
        public int Id { get; set; }

        [Required]
        public int PublishVersionId { get; set; }

        [Required]
        public Guid UploadFileId { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int Seq { get; set; }

        [ForeignKey("PublishVersionId")]
        public virtual PublishVersion PublishVersion { get; set; }

        [ForeignKey("UploadFileId")]
        public virtual UploadFile UploadFile { get; set; }
    }
}