﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public enum AuthorizationStatus
    {
        Accepted,
        /// <summary>Authorization被鎖住，不允許進行充電</summary>
        Blocked,
        /// <summary>Authorization過期，不允許進行充電</summary>
        Expired,
        /// <summary>Unknown Authorization，不允許進行充電</summary>
        Invalid,
        /// <summary>Authorization目前在其他地方進行交易中</summary>
        ConcurrentTx,
    }
}
