﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public enum ChargingProfilePurposeType
    {
        /// <summary>
        /// Configuration for the maximum power or current  available for an entire Charge Point.
        /// </summary>
        ChargePointMaxProfile,
        /// <summary>
        /// Default profile to be used for new transactions
        /// </summary>
        TxDefaultProfile,
        /// <summary>
        /// Profile with constraints to be imposed by the  Charge Point on the current transaction. A profile
        /// with this purpose SHALL cease to be valid when the transaction terminates.
        /// </summary>
        TxProfile
    }
}
