namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Modified_Table : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.MachineConfigures", "ReadOnly", c => c.Boolean(nullable: false));
            AlterColumn("dbo.ServerMessage", "OutAction", c => c.String(maxLength: 15));
            AlterColumn("dbo.ServerMessage", "OutRequest", c => c.String(maxLength: 400));
            AlterColumn("dbo.ServerMessage", "InMessage", c => c.String(maxLength: 200));
            AlterColumn("dbo.ServerMessage", "ReceivedOn", c => c.DateTime(nullable: false));
            DropColumn("dbo.MachineConfigures", "AccessType");
        }
        
        public override void Down()
        {
            AddColumn("dbo.MachineConfigures", "AccessType", c => c.Byte(nullable: false));
            AlterColumn("dbo.ServerMessage", "ReceivedOn", c => c.DateTime());
            AlterColumn("dbo.ServerMessage", "InMessage", c => c.String());
            AlterColumn("dbo.ServerMessage", "OutRequest", c => c.String());
            AlterColumn("dbo.ServerMessage", "OutAction", c => c.String());
            DropColumn("dbo.MachineConfigures", "ReadOnly");
        }
    }
}
