﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public enum AuthorizeStatus
    {
        /// <summary>
        /// 卡片合法
        /// </summary>
        Accepted,

        /// <summary>
        /// 卡片凍結
        /// </summary>
        Blocked,

        /// <summary>
        /// 卡片過期
        /// </summary>
        Expired,

        /// <summary>
        /// 卡片非法
        /// </summary>
        Invalid,

        /// <summary>
        /// 已在其它交易使用中
        /// </summary>
        ConcurrentTx,

        /// <summary>
        /// 密碼錯誤
        /// </summary>
        PasswordError
    }
}
