﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public interface IConfiguration
    {
        bool AllowOfflineTxForUnknownId { set; get; }
        bool AllowOfflineTxForUnknownIdAvailable { set; get; }
        bool AllowOfflineTxForUnknownIdEnabled { set; get; }
        bool AuthorizationCacheAvailable { set; get; }
        bool AuthorizationCacheEnabled { set; get; }
        int BlinkRepeat { set; get; }
        int ClockAlignedDataInterval { set; get; }
        int ConnectionTimeOut { set; get; }
        int HeartBeatInterval { set; get; }
        int LightIntensity { set; get; }
        bool LocalAuthorizeOffline { set; get; }
        bool LocalPreAuthorize { set; get; }
        bool MeterValuesAlignedData { set; get; }
        int MeterValueSampleInterval { set; get; }
        int MinimumStatusDuration { set; get; }
        int ResetRetries { set; get; }
        bool ConnectorPhaseRotation { set; get; }
        bool StopTransactionOnEVSideDisconnect { set; get; }
        bool LocalAuthorizationListEnabled { set; get; }
        bool StopTransactionOnInvalidId { set; get; }
        bool StopTxnAlignedData { set; get; }
        bool StopTxnSampledData { set; get; }
        bool SupportedCompliancyProfiles { set; get; }
        int TransactionMessageAttempts { set; get; }
        int TransactionMessageRetryInterval { set; get; }
        bool UnlockConnectorOnEVSideDisconnect { set; get; }
        int ChargeProfileMaxStackLevel { set; get; }
        bool ChargingScheduleAllowedSchedulingUnit { set; get; }
        int ChargingScheduleMaxPeriods { set; get; }
        bool MaxChargingProfilesInstalled { set; get; }
        int ProximityLockRetries { set; get; }
        int ProximityContactRetries { set; get; }
        int ChargePointId { set; get; }
        int GetConfigurationMaxKeys { set; get; }
        int LocalAuthListSize { set; get; }
        bool LocalAuthMaxElementsOnce { set; get; }
        int MaxEnergyOnInvalidId { set; get; }
        bool MeterValuesTriggeredData { set; get; }
        bool ReserveConnectorZeroSupported { set; get; }
        int WebSocketPingInterval { set; get; }
        bool Testing { set; get; }

    }
}
