﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public enum ProgramParam
    {
        /// <summary>
        /// 樁程序 
        /// </summary>
        PileProgram=1,
        /// <summary>
        /// 廣告文件  
        /// </summary>
        Advertisement=3,
        /// <summary>
        /// DC 樁的中間件 CSU1  
        /// </summary>
        CSU1=20,
        /// <summary>
        /// DC 樁的中間件 CSU2   
        /// </summary>
        CSU2=21,
        /// <summary>
        /// DC 樁的中間件 PSU 
        /// </summary>
        PSU=22,
        /// <summary>
        /// DC 樁的中間件 DSP
        /// </summary>
        DSP=23,
        /// <summary>
        /// DC 樁的中間件 HMI 
        /// </summary>
        HMI=24,
        /// <summary>
        /// DC 樁的中間件 CSU3
        /// </summary>
        CSU3=25,
        /// <summary>
        /// DC 樁的中間件 CSU4
        /// </summary>
        CSU4=26,
        /// <summary>
        /// DC 樁的中間件 HMIB1 
        /// </summary>
        HMI_B1=27,
        /// <summary>
        /// DC 樁的中間件 HMIB2
        /// </summary>
        HMI_B2=28,
        /// <summary>
        /// AC 樁的中間件 MCU 
        /// </summary>
        MCU = 29
    }
}
